%define url_ver		%(echo %{version}|cut -d. -f1,2)

%define gi_major	%{url_ver}
%define girname		%mklibname %{name}-gir %{gi_major}

%define dirver		%{url_ver}

Summary:		GNOME web browser based on the webkit rendering engine
Name:			epiphany
Version:		3.6.1
Release:		%mkrel 5
License:		GPLv2+ and GFDL
Group:			Networking/WWW
URL:			http://www.gnome.org/projects/epiphany/
Source0:		http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# (fc) 1.4.6-2mdk default bookmarks
Patch2:			epiphany-defaultbookmarks.patch
# (fc) 1.8.5-4mdk set urpmi and bundles mimetypes as safe (Mdk bug #21892)
Patch3:			epiphany-1.8.5-urpmi.patch
# (tmb) set mageia homepage
Patch4:			epiphany-3.4.0.1-default-mageia-homepage.patch
Patch5:			epiphany-3.6.1-use-duckduckgo.patch
Patch6:			epiphany-3.6.1-automake-1.13.patch

BuildRequires:		pkgconfig(avahi-client) >= 0.6.22
BuildRequires:		pkgconfig(avahi-gobject) >= 0.6.22
BuildRequires:		pkgconfig(gcr-3) >= 3.5.5
BuildRequires:		pkgconfig(gio-unix-2.0) >= 2.29.10
BuildRequires:		pkgconfig(glib-2.0) >= 2.29.10
BuildRequires:		pkgconfig(gmodule-2.0)
BuildRequires:		pkgconfig(gnome-desktop-3.0) >= 2.91.2
BuildRequires:		pkgconfig(gnome-keyring-1) >= 2.26.0
BuildRequires:		pkgconfig(gsettings-desktop-schemas) >= 0.0.1
BuildRequires:		pkgconfig(gthread-2.0)
BuildRequires:		pkgconfig(gtk+-3.0) >= 3.5.2
BuildRequires:		pkgconfig(gtk+-unix-print-3.0) >= 3.5.2
BuildRequires:		pkgconfig(iso-codes) >= 0.35
BuildRequires:		pkgconfig(libnotify) >= 0.5.1
BuildRequires:		pkgconfig(libsoup-gnome-2.4) >= 2.39.6
BuildRequires:		pkgconfig(libxml-2.0) >= 2.6.12
BuildRequires:		pkgconfig(libxslt) >= 1.1.7
BuildRequires:		pkgconfig(nss)
BuildRequires:		pkgconfig(sqlite3)
BuildRequires:		pkgconfig(webkitgtk-3.0) >= 1.9.5
BuildRequires:		pkgconfig(x11)
BuildRequires:		gettext-devel
BuildRequires:		gobject-introspection-devel >= 0.9.5
BuildRequires:		gtk-doc >= 1.0
BuildRequires:		intltool >= 0.50.0
BuildRequires:		gnome-common
BuildRequires:		imagemagick
BuildRequires:		desktop-file-utils

Provides:		webclient
#gw for the index themes
Requires:		gnome-themes
Requires:		gnome-doc-utils >= 0.3.2
Requires:		indexhtml
Requires:		iso-codes
Requires:		dbus-x11
Requires:		enchant
# (cjw) for proxy support
Requires:		%mklibname glib-networking

%description
Epiphany is a GNOME web browser based on the webkit rendering engine.

The name means:
"An intuitive grasp of reality through something (as an event) usually simple
and striking"


%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{name} = %{version}

%description -n %{girname}
GObject Introspection interface description for %name.

%package devel
Group:		Development/C
Summary:	Header files for developing with Epiphany

%description devel
This contains the C headers required for developing with Epiphany.

%prep
%setup -q
%patch2 -p1 -b .defaultbookmarks
%patch3 -p1 -b .urpmi
%patch5 -p1 -b .duckduckgo
%patch6 -p1 -b .automake-1_13
# (tmb) disable until fixed properly, see mga #5765
#patch4 -p1 -b .homepage

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x \
	--with-distributor-name=%{_vendor}
%make

%install
%makeinstall_std

%find_lang %{name} --with-gnome

mkdir -p  %{buildroot}%{_libdir}/epiphany/%{dirver}/extensions

#gw these are useless
rm -f %{buildroot}%{_datadir}/icons/LowContrastLargePrint/*/apps/*

%post
if [ "$1" = "2" ]; then
update-alternatives --remove webclient-gnome %{_bindir}/epiphany
update-alternatives --remove webclient-kde %{_bindir}/epiphany
fi

%files -f %{name}.lang
%doc COPYING.README COPYING README TODO NEWS
%{_bindir}/*
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/*
%{_datadir}/epiphany
%{_datadir}/dbus-1/services/org.gnome.Epiphany.service
%dir %{_libdir}/epiphany
%dir %{_libdir}/epiphany/%{dirver}/
%dir %{_libdir}/epiphany/%{dirver}/extensions
%{_datadir}/GConf/gsettings/epiphany.convert
%{_datadir}/glib-2.0/schemas/org.gnome.Epiphany.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.epiphany.gschema.xml

%files -n %{girname}
%{_libdir}/girepository-1.0/Epiphany-%{gi_major}.typelib

%files devel
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_datadir}/gtk-doc/html/epiphany
%{_datadir}/aclocal/*.m4
%{_datadir}/gir-1.0/Epiphany-%{gi_major}.gir


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 3.6.1-5.mga3
+ Revision: 349704
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 cjw <cjw> 3.6.1-4.mga3
+ Revision: 338534
- patch6: fix build with automake 1.13

* Fri Nov 23 2012 fwang <fwang> 3.6.1-3.mga3
+ Revision: 321258
- use duckduckgo as default search engine

* Thu Nov 08 2012 ovitters <ovitters> 3.6.1-2.mga3
+ Revision: 316471
- remove jamendo from bookmarks (mga#7313)

  + fwang <fwang>
    - update switch

* Tue Oct 16 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 307068
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297465
- new version 3.6.0
- new version 3.5.92
- new version 3.5.91.1
- new version 3.5.91
- new version 3.5.90
- new version 3.5.5

  + fwang <fwang>
    - bump some br
    - update br

* Tue Jul 17 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271936
- new version 3.5.4

* Mon Jul 02 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 266514
- update file list
- drop broken patch (patched gschema)
- new version 3.5.3

* Sat May 19 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235906
- new version 3.4.2

* Wed May 16 2012 ennael <ennael> 3.4.1-3.mga2
+ Revision: 235766
- fix  Web bookmarks Pageia Planet & Mandriva Jamendo (#5920)

* Sun May 13 2012 tmb <tmb> 3.4.1-2.mga2
+ Revision: 235626
- disable P4 (mageia homepage) for now as it breaks normal usage (mga #5765)

* Wed Apr 18 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231381
- new version 3.4.1

* Sat Apr 14 2012 tmb <tmb> 3.4.0.1-2.mga2
+ Revision: 230809
- add default mageia homepage

* Tue Mar 27 2012 ovitters <ovitters> 3.4.0.1-1.mga2
+ Revision: 227197
- new version 3.4.0.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226797
- update spec
- new version 3.4.0

* Wed Mar 21 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 225431
- update buildrequires
- new version 3.3.92

* Fri Mar 09 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 221915
- new version 3.3.91

* Thu Feb 23 2012 fwang <fwang> 3.3.90-1.mga2
+ Revision: 212472
- new version 3.3.90

* Sat Feb 11 2012 ovitters <ovitters> 3.3.5-2.mga2
+ Revision: 207332
- don't override upstream default Download directory

* Tue Feb 07 2012 fwang <fwang> 3.3.5-1.mga2
+ Revision: 205935
- there is no such file now
- update file list
- the file does not exist any more
- new version 3.3.5

* Thu Jan 19 2012 fwang <fwang> 3.3.4.1-1.mga2
+ Revision: 198056
- new version 3.3.4.1

* Tue Jan 17 2012 wally <wally> 3.3.4-1.mga2
+ Revision: 197467
- new version 3.3.4

* Mon Dec 19 2011 wally <wally> 3.3.3-1.mga2
+ Revision: 184592
- new version 3.3.3
- rediff P1 as there's no more user defined homepage in epiphany

* Tue Nov 22 2011 fwang <fwang> 3.3.2-1.mga2
+ Revision: 170754
- new version 3.3.2

* Sat Oct 29 2011 fwang <fwang> 3.3.1-1.mga2
+ Revision: 159455
- new version 3.3.1

* Tue Oct 18 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 156288
- new version 3.2.1
- drop upstream applied P4

* Tue Sep 27 2011 fwang <fwang> 3.2.0-2.mga2
+ Revision: 149491
- add requires to main binary
- update file list
- bump gir major
- bump req

  + ovitters <ovitters>
    - new version 3.2.0

* Thu Sep 22 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 146682
- new version 3.1.92

* Wed Sep 07 2011 fwang <fwang> 3.1.91.1-1.mga2
+ Revision: 140475
- new version 3.1.91.1

  + tv <tv>
    - new release
    - fix source URL

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136711
- update br
- new version 3.1.90
- cleanup spec
- update file list
- fix typo
- new version 3.1.5

* Sat Jul 09 2011 cjw <cjw> 3.1.3-1.mga2
+ Revision: 120840
- rediff patch4
- 3.1.3
- add BuildRequires: gnome-icon-theme

  + dmorgan <dmorgan>
    - Split gir files of the lib package

* Mon Jul 04 2011 dmorgan <dmorgan> 3.1.2-1.mga2
+ Revision: 117863
- Fix build
- New version 3.1.2

* Fri Jul 01 2011 fwang <fwang> 3.0.4-1.mga2
+ Revision: 117157
- bump ver
- new version 3.0.4

* Wed Jun 22 2011 cjw <cjw> 3.0.3-2.mga2
+ Revision: 112477
- add dependency on libglib-networking for proxy support

* Tue Jun 21 2011 cjw <cjw> 3.0.3-1.mga2
+ Revision: 111704
- 3.0.3
- drop patch0 and patch5: fixed upstream
- clean up build deps
- rediff patches

  + dmorgan <dmorgan>
    - Rebuild against new webkit

* Sun Mar 27 2011 ahmad <ahmad> 2.30.6-2.mga1
+ Revision: 77923
- update the default patch (to cope with the new location of index.html)
- drop configure patch, not needed
- add patch from upstream to fix building with current gobject-introspection
 (thanks to Gentoo for the hint about the upstream report)
  https://bugzilla.gnome.org/show_bug.cgi?id=631119
- bump g-introspection BR version
- don't update hicolor icon theme cache manually, this is handled by rpm filetriggers
- drop %%{clean_menus}, handled by rpm filetriggers

  + tv <tv>
    - BuildRequires: libsm-devel libice-devel libgnome-keyring-devel
    - rebuild for new gir

  + ennael <ennael>
    - add new patch for configure
    - regenerate bookmarks patch
    - clean spec file
    - add Mageia bookmarks
    - imported package epiphany

